<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (14) on Fri May 29 23:30:56 CEST 2020 -->
<title>User</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-29">
<meta name="description" content="declaration: package: Heroes.User, class: User">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../script-dir/jquery-ui.js"></script>
</head>
<body class="class-declaration">
<script type="text/javascript">var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/User.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">Heroes.User</a></div>
<h1 title="Class User" class="title">Class User</h1>
</div>
<div class="contentContainer">
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">Heroes.User.User</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="typeNameLabel">User</span>
extends java.lang.Object</pre>
<div class="block">The type User.</div>
</section>
<section class="summary">
<ul class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li class="blockList">
<section class="constructorSummary"><a id="constructor.summary">
<!--   -->
</a>
<h2>Constructor Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">User</a></span>()</code></th>
<td class="colLast">
<div class="block">Instantiates a new User.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(int,int,int,int,int,int,java.lang.String)">User</a></span>&#8203;(int&nbsp;levelMax,
int&nbsp;totalWavesNumber,
int&nbsp;numberGamesPlayed,
int&nbsp;level,
int&nbsp;exp,
int&nbsp;money,
java.lang.String&nbsp;name)</code></th>
<td class="colLast">
<div class="block">Instantiates a new User.</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li class="blockList">
<section class="methodSummary"><a id="method.summary">
<!--   -->
</a>
<h2>Method Summary</h2>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addExp(int)">addExp</a></span>&#8203;(int&nbsp;newExpWon)</code></th>
<td class="colLast">
<div class="block">Add exp.</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addMoney(int)">addMoney</a></span>&#8203;(int&nbsp;money)</code></th>
<td class="colLast">
<div class="block">Add money.</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addNumberGamesPlayed(int)">addNumberGamesPlayed</a></span>&#8203;(int&nbsp;numberGamesPlayed)</code></th>
<td class="colLast">
<div class="block">Add number games played.</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addTotalWavesNumber(int)">addTotalWavesNumber</a></span>&#8203;(int&nbsp;numberMonstersKilled)</code></th>
<td class="colLast">
<div class="block">Add total waves number.</div>
</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code><a href="Crypt.html" title="class in Heroes.User">Crypt</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#calculateCryptedVal()">calculateCryptedVal</a></span>()</code></th>
<td class="colLast">
<div class="block">Calculate crypted val and return it</div>
</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code><a href="Crypt.html" title="class in Heroes.User">Crypt</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#calculateUncryptedVal()">calculateUncryptedVal</a></span>()</code></th>
<td class="colLast">
<div class="block">Calculate uncrypted val crypt and return it</div>
</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#expNextLevel()">expNextLevel</a></span>()</code></th>
<td class="colLast">
<div class="block">Exp next level int.</div>
</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getExp()">getExp</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets exp.</div>
</td>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getLevel()">getLevel</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets level.</div>
</td>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getLevelMax()">getLevelMax</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets level max.</div>
</td>
</tr>
<tr class="altColor" id="i10">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getMoney()">getMoney</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets money.</div>
</td>
</tr>
<tr class="rowColor" id="i11">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getName()">getName</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets name.</div>
</td>
</tr>
<tr class="altColor" id="i12">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getNumberGamesPlayed()">getNumberGamesPlayed</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets number games played.</div>
</td>
</tr>
<tr class="rowColor" id="i13">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTotalWavesNumber()">getTotalWavesNumber</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets total waves number.</div>
</td>
</tr>
<tr class="altColor" id="i14">
<td class="colFirst"><code><a href="TowersImprovements.html" title="class in Heroes.User">TowersImprovements</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTowersImprovements()">getTowersImprovements</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets towers improvements.</div>
</td>
</tr>
<tr class="rowColor" id="i15">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#loadUser()">loadUser</a></span>()</code></th>
<td class="colLast">
<div class="block">Load user return true if load was without issue</div>
</td>
</tr>
<tr class="altColor" id="i16">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#readNewUser(java.lang.String)">readNewUser</a></span>&#8203;(java.lang.String&nbsp;s)</code></th>
<td class="colLast">
<div class="block">Read a new user</div>
</td>
</tr>
<tr class="rowColor" id="i17">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#saveUser()">saveUser</a></span>()</code></th>
<td class="colLast">
<div class="block">Save user to file</div>
</td>
</tr>
<tr class="altColor" id="i18">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setLevelMax(int)">setLevelMax</a></span>&#8203;(int&nbsp;levelMax)</code></th>
<td class="colLast">
<div class="block">Sets level max.</div>
</td>
</tr>
<tr class="rowColor" id="i19">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setName(java.lang.String)">setName</a></span>&#8203;(java.lang.String&nbsp;name)</code></th>
<td class="colLast">
<div class="block">Sets name.</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a><code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li class="blockList">
<section class="constructorDetails"><a id="constructor.detail">
<!--   -->
</a>
<h2>Constructor Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;()">User</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">User</span>()</div>
<div class="block">Instantiates a new User.</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;(int,int,int,int,int,int,java.lang.String)">User</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">User</span>&#8203;(<span class="arguments">int&nbsp;levelMax,
int&nbsp;totalWavesNumber,
int&nbsp;numberGamesPlayed,
int&nbsp;level,
int&nbsp;exp,
int&nbsp;money,
java.lang.String&nbsp;name)</span></div>
<div class="block">Instantiates a new User.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>levelMax</code> - the level max</dd>
<dd><code>totalWavesNumber</code> - the total waves number</dd>
<dd><code>numberGamesPlayed</code> - the number games played</dd>
<dd><code>level</code> - the level</dd>
<dd><code>exp</code> - the exp</dd>
<dd><code>money</code> - the money</dd>
<dd><code>name</code> - the name</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li class="blockList">
<section class="methodDetails"><a id="method.detail">
<!--   -->
</a>
<h2>Method Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="calculateCryptedVal()">calculateCryptedVal</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType"><a href="Crypt.html" title="class in Heroes.User">Crypt</a></span>&nbsp;<span class="memberName">calculateCryptedVal</span>()</div>
<div class="block">Calculate crypted val and return it</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the crypt</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="calculateUncryptedVal()">calculateUncryptedVal</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType"><a href="Crypt.html" title="class in Heroes.User">Crypt</a></span>&nbsp;<span class="memberName">calculateUncryptedVal</span>()</div>
<div class="block">Calculate uncrypted val crypt and return it</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the crypt</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="loadUser()">loadUser</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">boolean</span>&nbsp;<span class="memberName">loadUser</span>()</div>
<div class="block">Load user return true if load was without issue</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if loaded corrrectly else false</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="readNewUser(java.lang.String)">readNewUser</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">readNewUser</span>&#8203;(<span class="arguments">java.lang.String&nbsp;s)</span></div>
<div class="block">Read a new user</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - name of user</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="saveUser()">saveUser</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">saveUser</span>()</div>
<div class="block">Save user to file</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="expNextLevel()">expNextLevel</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">expNextLevel</span>()</div>
<div class="block">Exp next level int.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the int</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="addExp(int)">addExp</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">addExp</span>&#8203;(<span class="arguments">int&nbsp;newExpWon)</span></div>
<div class="block">Add exp.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newExpWon</code> - the new exp won</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getLevelMax()">getLevelMax</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getLevelMax</span>()</div>
<div class="block">Gets level max.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the level max</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setLevelMax(int)">setLevelMax</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setLevelMax</span>&#8203;(<span class="arguments">int&nbsp;levelMax)</span></div>
<div class="block">Sets level max.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>levelMax</code> - the level max</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getTotalWavesNumber()">getTotalWavesNumber</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getTotalWavesNumber</span>()</div>
<div class="block">Gets total waves number.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the total waves number</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="addTotalWavesNumber(int)">addTotalWavesNumber</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">addTotalWavesNumber</span>&#8203;(<span class="arguments">int&nbsp;numberMonstersKilled)</span></div>
<div class="block">Add total waves number.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>numberMonstersKilled</code> - the number monsters killed</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getNumberGamesPlayed()">getNumberGamesPlayed</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getNumberGamesPlayed</span>()</div>
<div class="block">Gets number games played.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the number games played</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="addNumberGamesPlayed(int)">addNumberGamesPlayed</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">addNumberGamesPlayed</span>&#8203;(<span class="arguments">int&nbsp;numberGamesPlayed)</span></div>
<div class="block">Add number games played.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>numberGamesPlayed</code> - the number games played</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getLevel()">getLevel</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getLevel</span>()</div>
<div class="block">Gets level.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the level</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getExp()">getExp</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getExp</span>()</div>
<div class="block">Gets exp.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the exp</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getMoney()">getMoney</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getMoney</span>()</div>
<div class="block">Gets money.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the money</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="addMoney(int)">addMoney</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">addMoney</span>&#8203;(<span class="arguments">int&nbsp;money)</span></div>
<div class="block">Add money.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>money</code> - the money</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getName()">getName</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.lang.String</span>&nbsp;<span class="memberName">getName</span>()</div>
<div class="block">Gets name.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the name</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setName(java.lang.String)">setName</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setName</span>&#8203;(<span class="arguments">java.lang.String&nbsp;name)</span></div>
<div class="block">Sets name.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getTowersImprovements()">getTowersImprovements</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType"><a href="TowersImprovements.html" title="class in Heroes.User">TowersImprovements</a></span>&nbsp;<span class="memberName">getTowersImprovements</span>()</div>
<div class="block">Gets towers improvements.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the towers improvements</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</div>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/User.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
